#include <iostream>
using namespace std;

long long int isPossible(long long int N, long long int L) {
    for (long long int i = 1; i <=N; i++) {
        long long int heights;
        cin >> heights;
        if (heights <= L) return i;
    }
    return -1;
}

int main()
{
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(NULL);
    long long int N, L;
    cin >> N >> L;

    cout << isPossible(N, L);
    return 0;
}